What makes “debuild -S” fail with “command not found” when “dpkg-buildpackage -rfakeroot -d -us -uc -S” succeeds?

Multi tool use
Multi tool use

The name of the pictureThe name of the pictureThe name of the pictureClash Royale CLAN TAG#URR8PPP











up vote
0
down vote

favorite












Consider the following script:



#!/usr/bin/env bash

set -ex

wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
dpkg-source -x ocaml-re_1.7.3-2.dsc
cd ocaml-re-1.7.3
dpkg-buildpackage -rfakeroot -d -us -uc -S || exit $?
debuild -S || exit $?


When I run it, I see



+ wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
--2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.162, 91.189.88.149, 91.189.91.23, ...
Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.162|:80... connected.
HTTP request sent, awaiting response... 304 Not Modified
File ‘ocaml-re_1.7.3-2.dsc’ not modified on server. Omitting download.

+ wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
--2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
HTTP request sent, awaiting response... 304 Not Modified
File ‘ocaml-re_1.7.3.orig.tar.gz’ not modified on server. Omitting download.

+ wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
--2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
HTTP request sent, awaiting response... 304 Not Modified
File ‘ocaml-re_1.7.3-2.debian.tar.xz’ not modified on server. Omitting download.

+ dpkg-source -x ocaml-re_1.7.3-2.dsc
dpkg-source: warning: extracting unsigned source package (ocaml-re_1.7.3-2.dsc)
dpkg-source: info: extracting ocaml-re in ocaml-re-1.7.3
dpkg-source: info: unpacking ocaml-re_1.7.3.orig.tar.gz
dpkg-source: info: unpacking ocaml-re_1.7.3-2.debian.tar.xz
+ cd ocaml-re-1.7.3
+ dpkg-buildpackage -rfakeroot -d -us -uc -S
dpkg-buildpackage: source package ocaml-re
dpkg-buildpackage: source version 1.7.3-2
dpkg-buildpackage: source distribution unstable
dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
dpkg-source --before-build ocaml-re-1.7.3
fakeroot debian/rules clean
dh clean --with ocaml
dh_testdir
dh_auto_clean
make -j1 clean
make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
dh_ocamlclean
dh_clean
dpkg-source -b ocaml-re-1.7.3
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building ocaml-re using existing ./ocaml-re_1.7.3.orig.tar.gz
dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.debian.tar.xz
dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.dsc
dpkg-genchanges -S >../ocaml-re_1.7.3-2_source.changes
dpkg-genchanges: not including original source code in upload
dpkg-source --after-build ocaml-re-1.7.3
dpkg-buildpackage: binary and diff upload (original source NOT included)
+ debuild -S
dpkg-buildpackage -rfakeroot -d -us -uc -S
dpkg-buildpackage: source package ocaml-re
dpkg-buildpackage: source version 1.7.3-2
dpkg-buildpackage: source distribution unstable
dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
dpkg-source --before-build ocaml-re-1.7.3
fakeroot debian/rules clean
dh clean --with ocaml
dh_testdir
dh_auto_clean
make -j1 clean
make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
make[1]: jbuilder: Command not found
Makefile:12: recipe for target 'clean' failed
make[1]: *** [clean] Error 127
make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
dh_auto_clean: make -j1 clean returned exit code 2
debian/rules:13: recipe for target 'clean' failed
make: *** [clean] Error 2


I am baffled by the fact that, although I have jbuilder installed (via opam), debuild -S cannot find it, even though it seems to just be running dpkg-buildpackage -rfakeroot -d -us -uc -S which succeeds just fine. What's going on here?









share







New contributor




Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
Check out our Code of Conduct.























    up vote
    0
    down vote

    favorite












    Consider the following script:



    #!/usr/bin/env bash

    set -ex

    wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
    wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
    wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
    dpkg-source -x ocaml-re_1.7.3-2.dsc
    cd ocaml-re-1.7.3
    dpkg-buildpackage -rfakeroot -d -us -uc -S || exit $?
    debuild -S || exit $?


    When I run it, I see



    + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
    --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
    Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.162, 91.189.88.149, 91.189.91.23, ...
    Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.162|:80... connected.
    HTTP request sent, awaiting response... 304 Not Modified
    File ‘ocaml-re_1.7.3-2.dsc’ not modified on server. Omitting download.

    + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
    --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
    Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
    Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
    HTTP request sent, awaiting response... 304 Not Modified
    File ‘ocaml-re_1.7.3.orig.tar.gz’ not modified on server. Omitting download.

    + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
    --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
    Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
    Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
    HTTP request sent, awaiting response... 304 Not Modified
    File ‘ocaml-re_1.7.3-2.debian.tar.xz’ not modified on server. Omitting download.

    + dpkg-source -x ocaml-re_1.7.3-2.dsc
    dpkg-source: warning: extracting unsigned source package (ocaml-re_1.7.3-2.dsc)
    dpkg-source: info: extracting ocaml-re in ocaml-re-1.7.3
    dpkg-source: info: unpacking ocaml-re_1.7.3.orig.tar.gz
    dpkg-source: info: unpacking ocaml-re_1.7.3-2.debian.tar.xz
    + cd ocaml-re-1.7.3
    + dpkg-buildpackage -rfakeroot -d -us -uc -S
    dpkg-buildpackage: source package ocaml-re
    dpkg-buildpackage: source version 1.7.3-2
    dpkg-buildpackage: source distribution unstable
    dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
    dpkg-source --before-build ocaml-re-1.7.3
    fakeroot debian/rules clean
    dh clean --with ocaml
    dh_testdir
    dh_auto_clean
    make -j1 clean
    make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
    make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
    dh_ocamlclean
    dh_clean
    dpkg-source -b ocaml-re-1.7.3
    dpkg-source: info: using source format '3.0 (quilt)'
    dpkg-source: info: building ocaml-re using existing ./ocaml-re_1.7.3.orig.tar.gz
    dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.debian.tar.xz
    dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.dsc
    dpkg-genchanges -S >../ocaml-re_1.7.3-2_source.changes
    dpkg-genchanges: not including original source code in upload
    dpkg-source --after-build ocaml-re-1.7.3
    dpkg-buildpackage: binary and diff upload (original source NOT included)
    + debuild -S
    dpkg-buildpackage -rfakeroot -d -us -uc -S
    dpkg-buildpackage: source package ocaml-re
    dpkg-buildpackage: source version 1.7.3-2
    dpkg-buildpackage: source distribution unstable
    dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
    dpkg-source --before-build ocaml-re-1.7.3
    fakeroot debian/rules clean
    dh clean --with ocaml
    dh_testdir
    dh_auto_clean
    make -j1 clean
    make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
    make[1]: jbuilder: Command not found
    Makefile:12: recipe for target 'clean' failed
    make[1]: *** [clean] Error 127
    make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
    dh_auto_clean: make -j1 clean returned exit code 2
    debian/rules:13: recipe for target 'clean' failed
    make: *** [clean] Error 2


    I am baffled by the fact that, although I have jbuilder installed (via opam), debuild -S cannot find it, even though it seems to just be running dpkg-buildpackage -rfakeroot -d -us -uc -S which succeeds just fine. What's going on here?









    share







    New contributor




    Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
    Check out our Code of Conduct.





















      up vote
      0
      down vote

      favorite









      up vote
      0
      down vote

      favorite











      Consider the following script:



      #!/usr/bin/env bash

      set -ex

      wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
      wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
      wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
      dpkg-source -x ocaml-re_1.7.3-2.dsc
      cd ocaml-re-1.7.3
      dpkg-buildpackage -rfakeroot -d -us -uc -S || exit $?
      debuild -S || exit $?


      When I run it, I see



      + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
      --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
      Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.162, 91.189.88.149, 91.189.91.23, ...
      Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.162|:80... connected.
      HTTP request sent, awaiting response... 304 Not Modified
      File ‘ocaml-re_1.7.3-2.dsc’ not modified on server. Omitting download.

      + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
      --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
      Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
      Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
      HTTP request sent, awaiting response... 304 Not Modified
      File ‘ocaml-re_1.7.3.orig.tar.gz’ not modified on server. Omitting download.

      + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
      --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
      Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
      Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
      HTTP request sent, awaiting response... 304 Not Modified
      File ‘ocaml-re_1.7.3-2.debian.tar.xz’ not modified on server. Omitting download.

      + dpkg-source -x ocaml-re_1.7.3-2.dsc
      dpkg-source: warning: extracting unsigned source package (ocaml-re_1.7.3-2.dsc)
      dpkg-source: info: extracting ocaml-re in ocaml-re-1.7.3
      dpkg-source: info: unpacking ocaml-re_1.7.3.orig.tar.gz
      dpkg-source: info: unpacking ocaml-re_1.7.3-2.debian.tar.xz
      + cd ocaml-re-1.7.3
      + dpkg-buildpackage -rfakeroot -d -us -uc -S
      dpkg-buildpackage: source package ocaml-re
      dpkg-buildpackage: source version 1.7.3-2
      dpkg-buildpackage: source distribution unstable
      dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
      dpkg-source --before-build ocaml-re-1.7.3
      fakeroot debian/rules clean
      dh clean --with ocaml
      dh_testdir
      dh_auto_clean
      make -j1 clean
      make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      dh_ocamlclean
      dh_clean
      dpkg-source -b ocaml-re-1.7.3
      dpkg-source: info: using source format '3.0 (quilt)'
      dpkg-source: info: building ocaml-re using existing ./ocaml-re_1.7.3.orig.tar.gz
      dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.debian.tar.xz
      dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.dsc
      dpkg-genchanges -S >../ocaml-re_1.7.3-2_source.changes
      dpkg-genchanges: not including original source code in upload
      dpkg-source --after-build ocaml-re-1.7.3
      dpkg-buildpackage: binary and diff upload (original source NOT included)
      + debuild -S
      dpkg-buildpackage -rfakeroot -d -us -uc -S
      dpkg-buildpackage: source package ocaml-re
      dpkg-buildpackage: source version 1.7.3-2
      dpkg-buildpackage: source distribution unstable
      dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
      dpkg-source --before-build ocaml-re-1.7.3
      fakeroot debian/rules clean
      dh clean --with ocaml
      dh_testdir
      dh_auto_clean
      make -j1 clean
      make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      make[1]: jbuilder: Command not found
      Makefile:12: recipe for target 'clean' failed
      make[1]: *** [clean] Error 127
      make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      dh_auto_clean: make -j1 clean returned exit code 2
      debian/rules:13: recipe for target 'clean' failed
      make: *** [clean] Error 2


      I am baffled by the fact that, although I have jbuilder installed (via opam), debuild -S cannot find it, even though it seems to just be running dpkg-buildpackage -rfakeroot -d -us -uc -S which succeeds just fine. What's going on here?









      share







      New contributor




      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.











      Consider the following script:



      #!/usr/bin/env bash

      set -ex

      wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
      wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
      wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
      dpkg-source -x ocaml-re_1.7.3-2.dsc
      cd ocaml-re-1.7.3
      dpkg-buildpackage -rfakeroot -d -us -uc -S || exit $?
      debuild -S || exit $?


      When I run it, I see



      + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
      --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.dsc
      Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.162, 91.189.88.149, 91.189.91.23, ...
      Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.162|:80... connected.
      HTTP request sent, awaiting response... 304 Not Modified
      File ‘ocaml-re_1.7.3-2.dsc’ not modified on server. Omitting download.

      + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
      --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3.orig.tar.gz
      Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
      Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
      HTTP request sent, awaiting response... 304 Not Modified
      File ‘ocaml-re_1.7.3.orig.tar.gz’ not modified on server. Omitting download.

      + wget -N http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
      --2018-10-28 20:29:03-- http://archive.ubuntu.com/ubuntu/pool/universe/o/ocaml-re/ocaml-re_1.7.3-2.debian.tar.xz
      Resolving archive.ubuntu.com (archive.ubuntu.com)... 91.189.88.152, 91.189.88.162, 91.189.88.149, ...
      Connecting to archive.ubuntu.com (archive.ubuntu.com)|91.189.88.152|:80... connected.
      HTTP request sent, awaiting response... 304 Not Modified
      File ‘ocaml-re_1.7.3-2.debian.tar.xz’ not modified on server. Omitting download.

      + dpkg-source -x ocaml-re_1.7.3-2.dsc
      dpkg-source: warning: extracting unsigned source package (ocaml-re_1.7.3-2.dsc)
      dpkg-source: info: extracting ocaml-re in ocaml-re-1.7.3
      dpkg-source: info: unpacking ocaml-re_1.7.3.orig.tar.gz
      dpkg-source: info: unpacking ocaml-re_1.7.3-2.debian.tar.xz
      + cd ocaml-re-1.7.3
      + dpkg-buildpackage -rfakeroot -d -us -uc -S
      dpkg-buildpackage: source package ocaml-re
      dpkg-buildpackage: source version 1.7.3-2
      dpkg-buildpackage: source distribution unstable
      dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
      dpkg-source --before-build ocaml-re-1.7.3
      fakeroot debian/rules clean
      dh clean --with ocaml
      dh_testdir
      dh_auto_clean
      make -j1 clean
      make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      dh_ocamlclean
      dh_clean
      dpkg-source -b ocaml-re-1.7.3
      dpkg-source: info: using source format '3.0 (quilt)'
      dpkg-source: info: building ocaml-re using existing ./ocaml-re_1.7.3.orig.tar.gz
      dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.debian.tar.xz
      dpkg-source: info: building ocaml-re in ocaml-re_1.7.3-2.dsc
      dpkg-genchanges -S >../ocaml-re_1.7.3-2_source.changes
      dpkg-genchanges: not including original source code in upload
      dpkg-source --after-build ocaml-re-1.7.3
      dpkg-buildpackage: binary and diff upload (original source NOT included)
      + debuild -S
      dpkg-buildpackage -rfakeroot -d -us -uc -S
      dpkg-buildpackage: source package ocaml-re
      dpkg-buildpackage: source version 1.7.3-2
      dpkg-buildpackage: source distribution unstable
      dpkg-buildpackage: source changed by Mehdi Dogguy <mehdi@debian.org>
      dpkg-source --before-build ocaml-re-1.7.3
      fakeroot debian/rules clean
      dh clean --with ocaml
      dh_testdir
      dh_auto_clean
      make -j1 clean
      make[1]: Entering directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      make[1]: jbuilder: Command not found
      Makefile:12: recipe for target 'clean' failed
      make[1]: *** [clean] Error 127
      make[1]: Leaving directory '/home/jgross/Documents/repos/coq-debian-build-scripts/ocaml-stuff/debian-sources/foo/ocaml-re-1.7.3'
      dh_auto_clean: make -j1 clean returned exit code 2
      debian/rules:13: recipe for target 'clean' failed
      make: *** [clean] Error 2


      I am baffled by the fact that, although I have jbuilder installed (via opam), debuild -S cannot find it, even though it seems to just be running dpkg-buildpackage -rfakeroot -d -us -uc -S which succeeds just fine. What's going on here?







      package-management





      share







      New contributor




      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.










      share







      New contributor




      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.








      share



      share






      New contributor




      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.









      asked 4 mins ago









      Jason Gross

      1012




      1012




      New contributor




      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.





      New contributor





      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.






      Jason Gross is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
      Check out our Code of Conduct.

























          active

          oldest

          votes











          Your Answer







          StackExchange.ready(function()
          var channelOptions =
          tags: "".split(" "),
          id: "106"
          ;
          initTagRenderer("".split(" "), "".split(" "), channelOptions);

          StackExchange.using("externalEditor", function()
          // Have to fire editor after snippets, if snippets enabled
          if (StackExchange.settings.snippets.snippetsEnabled)
          StackExchange.using("snippets", function()
          createEditor();
          );

          else
          createEditor();

          );

          function createEditor()
          StackExchange.prepareEditor(
          heartbeatType: 'answer',
          convertImagesToLinks: false,
          noModals: false,
          showLowRepImageUploadWarning: true,
          reputationToPostImages: null,
          bindNavPrevention: true,
          postfix: "",
          onDemand: true,
          discardSelector: ".discard-answer"
          ,immediatelyShowMarkdownHelp:true
          );



          );






          Jason Gross is a new contributor. Be nice, and check out our Code of Conduct.









           

          draft saved


          draft discarded


















          StackExchange.ready(
          function ()
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2funix.stackexchange.com%2fquestions%2f478321%2fwhat-makes-debuild-s-fail-with-command-not-found-when-dpkg-buildpackage-r%23new-answer', 'question_page');

          );

          Post as a guest



































          active

          oldest

          votes













          active

          oldest

          votes









          active

          oldest

          votes






          active

          oldest

          votes








          Jason Gross is a new contributor. Be nice, and check out our Code of Conduct.









           

          draft saved


          draft discarded


















          Jason Gross is a new contributor. Be nice, and check out our Code of Conduct.












          Jason Gross is a new contributor. Be nice, and check out our Code of Conduct.











          Jason Gross is a new contributor. Be nice, and check out our Code of Conduct.













           


          draft saved


          draft discarded














          StackExchange.ready(
          function ()
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2funix.stackexchange.com%2fquestions%2f478321%2fwhat-makes-debuild-s-fail-with-command-not-found-when-dpkg-buildpackage-r%23new-answer', 'question_page');

          );

          Post as a guest













































































          kaUuXF,1LI4Av3pIIxtOeKavpQW2D9zwyD 4O YKBZiuLf,E,lw2,9BU6Zw,Szf6to 57WrXnOmWj
          aFKjJQtk8vEcTYK25Z,AyKJs5e,HLEiH2rlEZ85 SzeAy5g9YLz19I,CsaeKaH5I11dO o1dqtCDQogF

          Popular posts from this blog

          How to check contact read email or not when send email to Individual?

          How many registers does an x86_64 CPU actually have?

          Displaying single band from multi-band raster using QGIS